package provide Freetype::ftsynth 0.1

if {![info exists _source([file tail [info script]])]} {
package require Freetype::ft2build
package require $FT_FREETYPE

::ffidl::callout _FT_GlyphSlot_Embolden {pointer} void \
    [::ffidl::symbol $::ft::lib FT_GlyphSlot_Embolden]
proc  FT_GlyphSlot_Embolden {slot} {
    _FT_GlyphSlot_Embolden [$slot getPointer]
    return
}

::ffidl::callout _FT_GlyphSlot_Oblique {pointer} void \
    [::ffidl::symbol $::ft::lib FT_GlyphSlot_Oblique]
proc  FT_GlyphSlot_Oblique {slot} {
    _FT_GlyphSlot_Oblique [$slot getPointer]
    return
}

set _source([file tail [info script]]) 1
}
